curl --request POST \
--url https://aodocs.altirnao.com/api/library/v1beta1/{libId}:exportDocumentsAndFolders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientTimeZoneId": "<string>",
"documentIds": [
"<string>"
],
"domain": "<string>",
"folderIds": [
"<string>"
],
"securityCode": "<string>",
"targetClassId": "<string>",
"targetLibraryId": "<string>",
"userEmail": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/library/v1beta1/{libId}:exportDocumentsAndFolders"
payload = {
"clientTimeZoneId": "<string>",
"documentIds": ["<string>"],
"domain": "<string>",
"folderIds": ["<string>"],
"securityCode": "<string>",
"targetClassId": "<string>",
"targetLibraryId": "<string>",
"userEmail": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientTimeZoneId: '<string>',
documentIds: ['<string>'],
domain: '<string>',
folderIds: ['<string>'],
securityCode: '<string>',
targetClassId: '<string>',
targetLibraryId: '<string>',
userEmail: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/library/v1beta1/{libId}:exportDocumentsAndFolders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentIdMap": {},
"folderId": "<string>",
"jobId": "<string>",
"kind": "<string>"
}Post libraryv1beta1 :exportdocumentsandfolders
Exports documents and/or folders from the library.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
Body
The timezone id to format the name of the export folder. Formatted as a IANA Time Zone Database Name (ie: 'Europe/Paris', see: http://www.iana.org/time-zones).
The list of documents (by ID) to export from the library (can be empty if the list of folders is not)
The G Suite domain
The list of folders (by ID) to export from the library (can be empty if the list of documents is not)
The mode of export of the documents and folders. The possible values are: 'COPY' (the documents and folders will be copied), 'MOVE' (the documents and folders will be moved)
MOVE, COPY The security code
The ID of the target document class
The ID of the library in which the documents and folders will be exported (can be empty if the user email is not)
The email of the user in whose Drive the documents and folders will be exported (can be empty if the target library is not)